Name:          debianutils
Version:       5.8
Release:       1mamba
Summary:       Miscellaneous utilities from Debian
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://packages.debian.org/stable/base/debianutils.html
Source:        http://ftp.debian.org/debian/pool/main/d/debianutils/debianutils_%{version}.orig.tar.gz
Patch:         %{name}-2.8.4-mkbootfix.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
Debianutils includes installkernel mkboot mktemp readlink run-parts savelog sensible-editor sensible-pager tempfile which.

%debug_package

%prep
%setup -q
#%patch -p1

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%find_lang %{name} --all-name --with-man

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/ischroot
%{_bindir}/run-parts
%{_bindir}/savelog
%{_bindir}/tempfile
%{_bindir}/which
%{_sbindir}/installkernel
%{_sbindir}/add-shell
%{_sbindir}/remove-shell
%{_sbindir}/update-shells
%{_mandir}/man1/ischroot.1*
%{_mandir}/man1/which.1*
%{_mandir}/man1/tempfile.1*
%{_mandir}/man8/installkernel.8*
%{_mandir}/man8/run-parts.8*
%{_mandir}/man8/savelog.8*
%{_mandir}/man8/add-shell.8*
%{_mandir}/man8/remove-shell.8*
%{_mandir}/man8/update-shells.8*

%changelog
* Mon Jul 10 2023 Automatic Build System <autodist@mambasoft.it> 5.8-1mamba
- automatic version update by autodist

* Sun Jul 31 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.7-1mamba
- update to 5.7

* Fri Nov 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5-1mamba
- update to 5.5

* Sun Feb 07 2021 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Sun Sep 13 2020 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic update by autodist

* Mon Nov 25 2019 Automatic Build System <autodist@mambasoft.it> 4.9-1mamba
- automatic update by autodist

* Wed Aug 24 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8-1mamba
- update to 4.8

* Fri Aug 02 2013 Automatic Build System <autodist@mambasoft.it> 4.4-1mamba
- automatic update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 4.3.4-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 4.3.3-1mamba
- automatic version update by autodist

* Thu Apr 26 2012 Automatic Build System <autodist@mambasoft.it> 4.3-1mamba
- automatic version update by autodist

* Sat Jun 25 2011 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic update by autodist

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 3.4.4-1mamba
- automatic update by autodist

* Fri Jan 21 2011 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic update by autodist

* Sat Nov 20 2010 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic update by autodist

* Fri Oct 01 2010 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic update by autodist

* Tue Aug 10 2010 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic update by autodist

* Fri Jul 02 2010 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic update by autodist

* Tue Jan 12 2010 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic update by autodist

* Mon Aug 10 2009 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic update by autodist

* Sat Jul 11 2009 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic update by autodist

* Sun May 17 2009 Automatic Build System <autodist@mambasoft.it> 3.1.3-1mamba
- automatic update by autodist

* Wed Apr 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1-1mamba
- automatic update by autodist

* Thu Jan 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.31-1mamba
- automatic update by autodist

* Tue Jul 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30-1mamba
- update to 2.30
- removed mktemp, now provided by coreutils 6.12

* Mon Sep 26 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.8.4-1qilnx
- update to version 2.8.4 by autospec

* Fri Jan 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.5.2-2qilnx
- moved mktemp to /bin

* Thu Jun 05 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.5.2-1qilnx
- first build
